Show / Hide Table of Contents

# Class MessageParseException

##### Inheritance

System.Object
System.Exception
MessageParseException

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class MessageParseException : Exception

### Constructors

| Improve this Doc View Source

#### MessageParseException(String, String, Object[])

##### Declaration

    public MessageParseException(string originalMessageText, string errorMessage, params object[] errorMessageArgs)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | originalMessageText |
System.String | errorMessage |
System.Object[] | errorMessageArgs |

### Properties

| Improve this Doc View Source

#### OriginalMessageText

##### Declaration

    public string OriginalMessageText { get; }

##### Property Value

Type | Description
--- | ---
System.String |